﻿using System.Windows;
using Cafe.ListWindows;
using Cafe.AddWindows;

namespace Cafe
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            if (User.Role == 1)
            {
                Waiter.Visibility = Visibility.Hidden;
                UsersTab.SelectedItem = Administrator;
            }
            else if (User.Role == 2)
            {
                Administrator.Visibility = Visibility.Hidden;
                UsersTab.SelectedItem = Waiter;
            }
        }

        private void AddEmployeeClick(object sender, RoutedEventArgs e)
        {
            AddEmployeeWindow addEmployeeWindow = new AddEmployeeWindow();
            addEmployeeWindow.Show();
            this.Close();
        }
        private void EmployeesListClick(object sender, RoutedEventArgs e)
        {
            EmployeesListWindow employeesListWindow = new EmployeesListWindow();
            employeesListWindow.Show();
            this.Close();
        }

        private void ExchangesListClick(object sender, RoutedEventArgs e)
        {
            ExchangesListWindow exchangesListWindow = new ExchangesListWindow();
            exchangesListWindow.Show();
            this.Close();
        }

        private void AddExchangeClick(object sender, RoutedEventArgs e)
        {
            AddExchangeWindow addExchangeWindow = new AddExchangeWindow();
            addExchangeWindow.Show();
            this.Close();
        }

        private void AddDishClick(object sender, RoutedEventArgs e)
        {
            AddDishWindow addDishWindow = new AddDishWindow();
            addDishWindow.Show();
            this.Close();
        }

        private void AddOrderClick(object sender, RoutedEventArgs e)
        {
            AddOrderWindow addOrderWindow = new AddOrderWindow();
            addOrderWindow.Show();
            this.Close();
        }

        private void OrdersListClick(object sender, RoutedEventArgs e)
        {
            OrdersListWindow ordersListWindow = new OrdersListWindow();
            ordersListWindow.Show();
            this.Close();
        }
    }
}